local addonName, addon = ...
local E = addon:Eve()

--[[
	Shrine buffs on tooltips
]]
do
	local Shrines = {
		-- ['Mailbox'] = { spellID = 255114 },	
		
		['Altar of the Sea'] = {
			objectID = 272644,
			spellID = 248694,
		},
		['Cursed Offering'] = {
			spellID = 264170,
		},
		['Death Ward'] = {
			spellID = 264679,
		},
		['Deepwoods Totem'] = {
			spellID = 264666,
		},
		['Moon-Touched Ruins'] = {
			spellID = 255046,
		},
		['Overgrown Relic'] = {
			spellID = 264652,
		},
		['Pillar of the Watchers'] = {
			spellID = 248667,
		},
		['Primal Shrine'] = {
			spellID = 243818,
		},
		['Rune-Etched Stone'] = {
			spellID = 264673,
		},
		['Slithering Shrine'] = {
			spellID = 255012,
		},
		['Spirit Font'] = {
			spellID = 254824,
		},
		["Wanderer's Respite"] = {
			spellID = 255114,
		},
	}

	local CurrentObject
	GameTooltip:HookScript('OnSizeChanged', function(self)
		local name = GameTooltipTextLeft1 and GameTooltipTextLeft1:GetText()
		if name and name ~= CurrentObject and Shrines[name] then
			CurrentObject = name
			self:SetSpellByID(Shrines[name].spellID)
		end
	end)

	GameTooltip:HookScript('OnTooltipCleared', function()
		CurrentObject = nil
	end)
end

--[[
	Show weekly quest progress on mission report minimap button tooltip
]]
do
	GarrisonLandingPageMinimapButton:HookScript('OnEnter', function(self)
		local questID = C_IslandsQueue.GetIslandsWeeklyQuestID()
		if questID and HaveQuestData(questID) then -- and HaveQuestRewardData(questID) then
			local objectiveText, objectiveType, finished, numFulfilled, numRequired = GetQuestObjectiveInfo(questID, 1, false)
			if (finished or numFulfilled >= numRequired) then
				GameTooltip:AddDoubleLine('Expedition Progress:', 'Complete!', 113 / 255, 113 / 255, 113 / 255, 113 / 255, 113 / 255, 113 / 255)
			else
				GameTooltip:AddDoubleLine('Expedition Progress:', format('%d / %d (%d%%)', numFulfilled, numRequired, numFulfilled / numRequired * 100), 0.15, 0.95, 0.95, 0.15, 0.95, 0.95)
			end
			GameTooltip:Show()
		end
	end)
end